#include <string>
#include "Simulation.hpp"

namespace nbody {
	using namespace std;

	Simulation::Simulation() {
		this->parallelRank = -1;
		this->parallelSize = -1;
		this->correctState = 0;
	}

	Simulation::~Simulation() {
	}

	bool Simulation::readInputData(string filename) {
		if (this->parallelRank == 0) {
			this->bodies = Tree::dubinskiParse(filename);
			if (this->bodies.empty()) {
				return false;
			}
		}
		return true;
	}

}
